ApiClusterTemplateService (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiClusterTemplateService

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateService

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiClusterTemplateService
      extends Object

  Service information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterTemplateService` | `addRoleConfigGroupsItem(ApiClusterTemplateRoleConfigGroup roleConfigGroupsItem)`
    `ApiClusterTemplateService` | `addRolesItem(ApiClusterTemplateRole rolesItem)`
    `ApiClusterTemplateService` | `addServiceConfigsItem(ApiClusterTemplateConfig serviceConfigsItem)`
    `ApiClusterTemplateService` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiClusterTemplateService` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getDisplayName()` Service display name.
    `String` | `getRefName()` Reference name of the service.
    `List<ApiClusterTemplateRoleConfigGroup>` | `getRoleConfigGroups()` All role config groups for that service
    `List<ApiClusterTemplateRole>` | `getRoles()` List of roles for this service that are referred by some configuration.
    `List<ApiClusterTemplateConfig>` | `getServiceConfigs()` Service level configuration
    `String` | `getServiceType()` Service type
    `List<ApiEntityTag>` | `getTags()` Tags associated with the service
    `int` | `hashCode()`
    `ApiClusterTemplateService` | `refName(String refName)`
    `ApiClusterTemplateService` | `roleConfigGroups(List<ApiClusterTemplateRoleConfigGroup> roleConfigGroups)`
    `ApiClusterTemplateService` | `roles(List<ApiClusterTemplateRole> roles)`
    `ApiClusterTemplateService` | `serviceConfigs(List<ApiClusterTemplateConfig> serviceConfigs)`
    `ApiClusterTemplateService` | `serviceType(String serviceType)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setRefName(String refName)`
    `void` | `setRoleConfigGroups(List<ApiClusterTemplateRoleConfigGroup> roleConfigGroups)`
    `void` | `setRoles(List<ApiClusterTemplateRole> roles)`
    `void` | `setServiceConfigs(List<ApiClusterTemplateConfig> serviceConfigs)`
    `void` | `setServiceType(String serviceType)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `ApiClusterTemplateService` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateService

          public ApiClusterTemplateService()

  - ### Method Detail

    - #### refName

          public ApiClusterTemplateService refName(String refName)

    - #### getRefName

          public String getRefName()

      Reference name of the service. This could be referred by some configuration.
      Returns:
        refName

    - #### setRefName

          public void setRefName(String refName)

    - #### serviceType

          public ApiClusterTemplateService serviceType(String serviceType)

    - #### getServiceType

          public String getServiceType()

      Service type
      Returns:
        serviceType

    - #### setServiceType

          public void setServiceType(String serviceType)

    - #### serviceConfigs

          public ApiClusterTemplateService serviceConfigs(List<ApiClusterTemplateConfig> serviceConfigs)

    - #### addServiceConfigsItem

          public ApiClusterTemplateService addServiceConfigsItem(ApiClusterTemplateConfig serviceConfigsItem)

    - #### getServiceConfigs

          public List<ApiClusterTemplateConfig> getServiceConfigs()

      Service level configuration
      Returns:
        serviceConfigs

    - #### setServiceConfigs

          public void setServiceConfigs(List<ApiClusterTemplateConfig> serviceConfigs)

    - #### roleConfigGroups

          public ApiClusterTemplateService roleConfigGroups(List<ApiClusterTemplateRoleConfigGroup> roleConfigGroups)

    - #### addRoleConfigGroupsItem

          public ApiClusterTemplateService addRoleConfigGroupsItem(ApiClusterTemplateRoleConfigGroup roleConfigGroupsItem)

    - #### getRoleConfigGroups

          public List<ApiClusterTemplateRoleConfigGroup> getRoleConfigGroups()

      All role config groups for that service
      Returns:
        roleConfigGroups

    - #### setRoleConfigGroups

          public void setRoleConfigGroups(List<ApiClusterTemplateRoleConfigGroup> roleConfigGroups)

    - #### roles

          public ApiClusterTemplateService roles(List<ApiClusterTemplateRole> roles)

    - #### addRolesItem

          public ApiClusterTemplateService addRolesItem(ApiClusterTemplateRole rolesItem)

    - #### getRoles

          public List<ApiClusterTemplateRole> getRoles()

      List of roles for this service that are referred by some configuration.
      Returns:
        roles

    - #### setRoles

          public void setRoles(List<ApiClusterTemplateRole> roles)

    - #### displayName

          public ApiClusterTemplateService displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Service display name.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### tags

          public ApiClusterTemplateService tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiClusterTemplateService addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      Tags associated with the service
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.